TICKIT_TERM_SET_OUTPUT_BUFFER(3)

NAME
tickit_term_set_output_buffer - define a terminal output buffer

SYNOPSIS
    #include <tickit.h>

    void tickit_term_set_output_buffer(TickitTerm *tt, size_t len);

Link with -ltickit.

DESCRIPTION
tickit_term_set_output_buffer() sets up an output buffer of the given size, to store output bytes pending being written to the output file descriptor, or using the output function. The value 0 may be given to indicate that no buffer should be used. This buffer is not directly accessible.

If a buffer is defined, then none of the drawing functions will immediately create output either to the file descriptor or the output function. Instead, they will append into the buffer, to be flushed by calling tickit_term_flush(3). If the buffer fills completely as a result of being written to by a drawing function, it will be flushed to the appropriate output method.

RETURN VALUE
tickit_term_set_output_buffer() returns no value.

SEE ALSO
tickit_term_new(3), tickit_term_set_output_fd(3), tickit_term_set_output_func(3), tickit_term_print(3), tickit_term_flush(3), tickit_term(7), tickit(7)